Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.dsp.management.resource
Enum ResourceType.Value

    java.lang.Object
      java.lang.Enum<ResourceType.Value>
          com.bea.dsp.management.resource.ResourceType.Value

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ResourceType.Value>

Enclosing interface:
  ResourceType

    public static enum ResourceType.Value

extends java.lang.Enum<ResourceType.Value>
implements java.io.Serializable

Enum Constant Summary
`CSV`
`DS`
`JAR`
`SERVICE`
`SERVICE_ACCOUNT`
`SOURCES`
`SPACE`
`SQI`
`UPT`
`WSDL`
`WSI`
`WSP`
`XFL` Deprecated.
`XML`
`XSD`

Field Summary
`static java.util.Set<ResourceType.Value>` | `ALL_TYPES`
`static java.util.Set<ResourceType.Value>` | `CONFIGURATION_TYPES`
`static java.util.Set<ResourceType.Value>` | `DEFINITION_TYPES`
`static java.util.Set<ResourceType.Value>` | `REPOSITORY_TYPES`

Method Summary
`static ResourceType.Value` | `forLocator(java.lang.String locator)`
`static ResourceType.Value` | `forTypeId(java.lang.String typeId)`
`java.lang.String` | `getFileExtension()`
`static java.util.Set<java.lang.String>` | `getSupportedFileExtensions()`
`java.lang.String` | `getTypeId()`
`static boolean` | `isConfiguration(java.lang.String locator)`
`static boolean` | `isDefinition(java.lang.String locator)`
`static boolean` | `isRepository(ResourceType.Value v)`
`static ResourceType.Value` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ResourceType.Value[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DS

    public static final ResourceType.Value DS

### XFL

    public static final ResourceType.Value XFL

  Deprecated.

### XSD

    public static final ResourceType.Value XSD

### UPT

    public static final ResourceType.Value UPT

### WSDL

    public static final ResourceType.Value WSDL

### JAR

    public static final ResourceType.Value JAR

### XML

    public static final ResourceType.Value XML

### CSV

    public static final ResourceType.Value CSV

### SQI

    public static final ResourceType.Value SQI

### WSI

    public static final ResourceType.Value WSI

### WSP

    public static final ResourceType.Value WSP

### SPACE

    public static final ResourceType.Value SPACE

### SERVICE

    public static final ResourceType.Value SERVICE

### SOURCES

    public static final ResourceType.Value SOURCES

### SERVICE_ACCOUNT

    public static final ResourceType.Value SERVICE_ACCOUNT

Field Detail

### DEFINITION_TYPES

    public static final java.util.Set<ResourceType.Value> DEFINITION_TYPES

### CONFIGURATION_TYPES

    public static final java.util.Set<ResourceType.Value> CONFIGURATION_TYPES

### REPOSITORY_TYPES

    public static final java.util.Set<ResourceType.Value> REPOSITORY_TYPES

### ALL_TYPES

    public static final java.util.Set<ResourceType.Value> ALL_TYPES

Method Detail

### values

    public static ResourceType.Value[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ResourceType.Value c : ResourceType.Value.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ResourceType.Value valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getTypeId

    public java.lang.String getTypeId()

  Returns:
    A string value representing the identifier for this resource type.

    May not be `null`.

### getFileExtension

    public java.lang.String getFileExtension()

  Returns:
    A string value representing the file extension associated with this resource type.

    May not be `null`.

### forTypeId

    public static ResourceType.Value forTypeId(java.lang.String typeId)

  Parameters:
    `typeId` - May not be `null`.
  Returns:
    The resource type for the specified typeId. `null` if the typeId is not recognized.

### forLocator

    public static ResourceType.Value forLocator(java.lang.String locator)

  Parameters:
    `locator` - May not be `null`.
  Returns:
    The resource type of the specified locator. `null` if the locator type is not recognized.

### isDefinition

    public static boolean isDefinition(java.lang.String locator)

  Parameters:
    `locator` - May not be `null`.
  Returns:
    `true` if the specified locator corresponds to a data space model artifact; otherwise, `false`.

### isConfiguration

    public static boolean isConfiguration(java.lang.String locator)

  Parameters:
    `locator` - May not be `null`.
  Returns:
    `true` if the specified locator corresponds to a configuration artifact; otherwise, `false`.

### isRepository

    public static boolean isRepository(ResourceType.Value v)

  Parameters:
    `locator` - May not be `null`.
  Returns:
    `true` if the specified locator corresponds to an artifact that is exposed through the metadata service; otherwise, `false`.

### getSupportedFileExtensions

    public static java.util.Set<java.lang.String> getSupportedFileExtensions()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 Oracle. All Rights Reserved.